org.apache.olingo.commons.api.edm.provider

## Class CsdlAnnotation

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlAnnotation

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlAnnotation
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  Represents a CSDL annotation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlAnnotation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlExpression` | `getExpression()` Returns the annotated expression
    `String` | `getQualifier()` Returns the annotated qualifier
    `String` | `getTerm()` Returns the annotated term
    `int` | `hashCode()`
    `CsdlAnnotation` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlAnnotation` | `setExpression(CsdlExpression annotationExpression)` Sets the annotated expression
    `CsdlAnnotation` | `setQualifier(String qualifier)` Sets the annotated qualifier
    `CsdlAnnotation` | `setTerm(String term)` Sets the annotated expression

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlAnnotation

          public CsdlAnnotation()

  - ### Method Detail

    - #### getExpression

          public CsdlExpression getExpression()

      Returns the annotated expression
      Returns:
        expression annotated expression

    - #### setExpression

          public CsdlAnnotation setExpression(CsdlExpression annotationExpression)

      Sets the annotated expression
      Parameters:
        `annotationExpression` - annotated expression

    - #### getTerm

          public String getTerm()

      Returns the annotated term
      Returns:
        Term term

    - #### setTerm

          public CsdlAnnotation setTerm(String term)

      Sets the annotated expression
      Parameters:
        `term` - term
      Returns:
        this instance

    - #### getQualifier

          public String getQualifier()

      Returns the annotated qualifier
      Returns:
        annotated qualifier

    - #### setQualifier

          public CsdlAnnotation setQualifier(String qualifier)

      Sets the annotated qualifier
      Parameters:
        `qualifier` - annotated qualifier
      Returns:
        this instance

    - #### setAnnotations

          public CsdlAnnotation setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.